सामग्री पर जाएँ

Rembg Enhance (Remove Background Enhance)

इंटीग्रेट करें

मॉडल id smoretalk-ai/rembg-enhance
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/smoretalk-ai/rembg-enhance?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.006 6 API क्रेडिट · ≈ ₽0.64 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
SmoreTalk AI बैकग्राउंड हटाना #background-removal#image-editing#utility#segmentation

मटिंग का उपयोग करके इमेज का बैकग्राउंड हटाता है, वेक्टर आर्ट, 3D रेंडर और फ़ोटो के लिए उपयुक्त

SmoreTalk AI · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

इनपुट इमेज का URL।

POST /run/smoretalk-ai/rembg-enhance?wait=20 कोटेशन → $0.006
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/smoretalk-ai/rembg-enhance?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Rembg Enhance (Remove Background Enhance) के बारे में

बैकग्राउंड हटाने वाला टूल, जो एकल `image_url` लेता है और बैकग्राउंड हटाकर सेगमेंट की गई इमेज लौटाता है। यह मटिंग का उपयोग करता है, जिससे यह 2D वेक्टर ग्राफ़िक्स, 3D ग्राफ़िक्स और फ़ोटोग्राफ़ के लिए उपयोगी है। इसमें कोई अतिरिक्त सेटिंग नहीं है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
इनपुट इमेज का URL।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "smoretalk-ai/rembg-enhance",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 6,
    "usd": "0.006",
    "charged": 6,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
image
object {url, content_type, file_name, file_size}Segmentation द्वारा बनाई गई इमेज।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/smoretalk-ai/rembg-enhance.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt